function plotmeshnumbers(q,me,varargin)
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.addParamValue('FontSize',5);
  p.parse(varargin{:});
  R=p.Results;
  cla
  trimesh(me',q(1,:),q(2,:),'color','b')
  hold on
  plotElementsNumber(q,me,'Color','r','FontSize',R.FontSize)
  plotVerticesNumber(q,'Color','k','FontSize',R.FontSize)
  xmin=min(q(1,:));xmax=max(q(1,:));hx=(xmax-xmin)/20;
  ymin=min(q(1,:));ymax=max(q(1,:));hy=(ymax-ymin)/20;
  axis equal
  axis([min(q(1,:))-hx,max(q(1,:))+hx,min(q(2,:))-hy,max(q(2,:))+hy])
end
